<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useCellClickhandler](./react.usecellclickhandler.md)

## useCellClickhandler() function

<b>Signature:</b>

```typescript
export declare function useCellClickhandler(clickable: boolean, onColumnClick?: ColumnClickFunction): ColumnClickFunction | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  clickable | boolean |  |
|  onColumnClick | [ColumnClickFunction](./react.columnclickfunction.md) | <i>(Optional)</i> |

<b>Returns:</b>

[ColumnClickFunction](./react.columnclickfunction.md) \| undefined

